GenerateQuery
curl --request POST \
--url https://developer.synq.io/api/queries/v1/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>"
}
'import requests
url = "https://developer.synq.io/api/queries/v1/generate"
payload = { "description": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};
fetch('https://developer.synq.io/api/queries/v1/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": {
"parts": [
{
"identifierList": {
"identifiers": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
]
}
}
]
},
"resolverQl": "<string>",
"unsupportedReason": "<string>"
}synq.queries.v1.NLQueryService
GenerateQuery
GenerateQuery generates a Query from a natural language description.
POST
/
api
/
queries
/
v1
/
generate
GenerateQuery
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Response
200 - application/json
Success
The public Query proto. Absent when unsupported.
Show child attributes
Show child attributes
The generated ResolverQL query string. Empty when unsupported.
When the LLM determines the request cannot be expressed as a query, this field contains the reason(s). The other fields will be empty.
⌘I